
let x = Number(localStorage.getItem("gesamtpreis")).toFixed(2);
let y = document.getElementById("gesamtkosten");
y.innerHTML = "Die Gesamtkosten (inkl. MwSt.) belaufen sich auf: " + x + "€";

function checkform(event) {
    let anrede = document.getElementById('anrede').value;
    let vorname = document.getElementById('vorname').value;
    let name = document.getElementById('name').value;
    let straße = document.getElementById('straße').value;
    let hausnummer = document.getElementById('hausnummer').value;
    let plz = document.getElementById('plz').value;
    let wohnort = document.getElementById('wohnort').value;
    let email = document.getElementById('email').value;

    fehlerbox.innerHTML = 'Fehler: <br>';

    if (/^[a-zA-Z]{2,}$/.test(anrede) === false) fehlerbox.innerHTML += 'Anrede: mindestens zwei Buchstaben <br>';
    if (/^[a-zA-Z]{2,}$/.test(vorname) === false) fehlerbox.innerHTML += 'Vorname: mindestens zwei Buchstaben <br>';
    if (/^[a-zA-Z]{2,}$/.test(name) === false) fehlerbox.innerHTML +=  'Name: mindestens zwei Buchstaben <br>';
    if (/[a-zA-Z0-9]{2,}/.test(straße) === false) fehlerbox.innerHTML += 'Straße: mindestens zwei Zeichen <br>';
    if (/[0-9]{1,}/.test(hausnummer) === false) fehlerbox.innerHTML += 'Hausnummer: mindestens eine Zahl <br>';
    if (/[0-9]{5}/.test(plz) === false) fehlerbox.innerHTML += 'Postleitzahl: gültige Postleitzahl eingeben, z.B 66265 (fünf Zahlen) <br>';
    if (/^[a-zA-ZÄäÜüÖö]{2,}$/.test(wohnort) === false) fehlerbox.innerHTML += 'Wohnort: mindestens zwei Buchstaben <br>';
    if (/^([a-zA-Z0-9]+([-_\.]?[a-zA-Z0-9])+@[a-zA-Z0-9]+([-_\.]?[a-zA-Z0-9])+\.[a-z]{2,4}){0,}$/.test(email) === false) fehlerbox.innerHTML += 'EMail: bitte nach dem Muster "email@beispiel.de" <br>';

     if(fehlerbox.innerHTML.length > 12) {
        event.preventDefault();
        let fehlerboxstyle = document.getElementById('fehlerbox');
        fehlerbox.style = 'display: block;'
    }
}

const fehlerbox = document.getElementById('fehlerbox');
const bestellbutton = document.getElementById('bestellbutton');
bestellbutton.addEventListener('click', checkform, false);